{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Mulish">
    <link rel="stylesheet" href="{% static 'obatpedia/style.css' %}">
    <title>Obatpedia (guest view)</title>
{% endblock meta %}

{% block content %}
<div class="container-fluid" id="main_container" style="background-color: #383838">
    <header>
        <div class="obatpedia-header p-3 pb-md-4 text-center">
            <h1 class="display-4 fw-bold" style="color: #FFFFFF;">Obatpedia</h1>
            <hr class="my-4" style="width: 10%; height: 3px; background-color: #FFFFFF; margin: auto">
            <main>
                <p class="fs-5 text mx-5 mb-5" style="color: #FFFFFF" >
                    We provide to you the best choices for you.
                    Adjust it to your health needs and make sure your undergo treatment with our highly qualified
                    doctors you can consult with us which type of service is suitable for your health.
                </p>
            </main>
            <div class="row">
                <div class="col">
                </div>
                <div class="col">
                </div>
                <div class="col align-items-centre">
                    <form id="search_form">
                        {% csrf_token %}
                        <input type="search" id="search_medicine" class="form-control form-control-dark my-4" placeholder="Search...">
                    </form>
                </div>
                <div class="col">
                    {% if user_role %}
                        {% if user_role != "patient" %}
                            <a href="../obatpedia/add" class="btn my-4" role="button" style="color: #FFFFFF;background-color: #6B46C1">Add Medicine</a>
                        {% endif %}
                    {% endif %}
                </div>
                <div class="col">
                </div>
            </div>
        </div>
    </header>
    <main>
        <div id="cards" class="row px-5 row-cols-sm-2 row-cols-md-4 g-4">
              {% if medicines %}
                {% for medicine in medicines %}
                    <div class="col px-4">
                        <a href="#" data-bs-toggle="modal" data-bs-target="#modal{{ medicine.id }}" class="hvr-float-image" style="color: black; text-decoration: none;">
                            <div class="card mb-3 h-100" style="background-color: #a057b3; border-color: #a057b3">
                                <img class="img-thumbnail" style="background-color: #a057b3; border: #a057b3; height: 300px" src="{{ medicine.image.url }}" alt="medicine image">
                                <div class="card-body">
                                    <h5 class="card-title">{{ medicine.name }}</h5>
                                    <p class="card-text">{{ medicine.description }}</p>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="modal fade" id="modal{{ medicine.id }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                      <div class="modal-dialog modal-lg" role="document">
                        <div class="modal-content" style="background-color: #DEBEE9">
                          <div class="modal-body m-5 rounded" style="border: 5px solid #A355BE">
                              <div class="row">
                                  <b class="text-center" style="color: #7722cc; font-size: 36px">{{medicine.name}}</b>
                              </div>
                              <div class="row">
                                  <div class="col s10 text-center">
                                       <img class="img rounded-circle my-3" src="{{ medicine.image.url }}" alt="medicine image" width="250" height="250">
                                  </div>
                              </div>
                              <div class="row">
                                  <div class="my" style="height: 20px;"></div>
                              </div>
                              <div class="row">
                                  <div class="col">
                                      <b class="text-center">Description</b>
                                      <p class="text-wrap">{{ medicine.description }}</p>
                                  </div>
                                  <div class="col">
                                      <b class="text-center">Side Effects</b>
                                      <p class="text-wrap">{{ medicine.side_effects }}</p>
                                  </div>
                              </div>
                              <div class="row">
                                  <div class="col">
                                      <b class="text-center">Composition</b>
                                      <p class="text-wrap">{{ medicine.composition }}</p>
                                  </div>
                                  <div class="col">
                                      <b class="text-center">Dosage & Instructions</b>
                                      <p class="text-wrap">{{ medicine.dosage_instructions }}</p>
                                  </div>
                              </div>
                          </div>
                        </div>
                      </div>

                    </div>
                {% endfor %}
              {% endif %}
          </div>
        <div class="mb"></div>
    </main>
    <div class="my" style="height: 200px;">
    </div>
</div>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
    const url = window.location.href
    const searchForm = document.getElementById('search_form')
    const searchInput = document.getElementById('search_medicine')
    const cards = document.getElementById('cards')

    const csrf = document.getElementsByName('csrfmiddlewaretoken')[0].value
    console.log(csrf)

    $('form').submit(false);

    const sendSearchData = (medicine) => {
        console.log("Ini yang isi medicine " + medicine)
        $.ajax({
            type: 'POST',
            url: 'search/',
            data: {
                'csrfmiddlewaretoken': csrf,
                'medicine': medicine,
            },
            success: (result) => {
                console.log(result.data)
                const data = result.data
                if (Array.isArray(data)) {
                    console.log('THIS IS THE DATA STUPID')
                    cards.innerHTML = ''
                    data.forEach(medicine => {
                        cards.innerHTML += `
                            <div class="col px-4">
                        <a href="#" data-bs-toggle="modal" data-bs-target="#modal${ medicine.pk }" class="hvr-float-image" style="color: black; text-decoration: none;">
                            <div class="card mb-3 h-100" style="background-color: #a057b3; border-color: #a057b3">
                                <img class="img-thumbnail" style="background-color: #a057b3; border: #a057b3; height: 300px" src="${ medicine.image }" alt="medicine image">
                                <div class="card-body">
                                    <h5 class="card-title">${ medicine.name }</h5>
                                    <p class="card-text">${ medicine.description }</p>
                                </div>
                            </div>
                        </a>
                    </div>
                    <div class="modal fade" id="modal${ medicine.pk }" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                      <div class="modal-dialog modal-lg" role="document">
                        <div class="modal-content" style="background-color: #DEBEE9">
                          <div class="modal-body m-5 rounded" style="border: 5px solid #A355BE">
                              <div class="row">
                                  <b class="text-center" style="color: #7722cc; font-size: 36px">${medicine.name}</b>
                              </div>
                              <div class="row">
                                  <div class="col s10 text-center">
                                       <img class="img rounded-circle my-3" src="${ medicine.image }" alt="medicine image" width="250" height="250">
                                  </div>
                              </div>
                              <div class="row">
                                  <div class="my" style="height: 20px;"></div>
                              </div>
                              <div class="row">
                                  <div class="col">
                                      <b class="text-center">Description</b>
                                      <p class="text-wrap">${ medicine.description }</p>
                                  </div>
                                  <div class="col">
                                      <b class="text-center">Side Effects</b>
                                      <p class="text-wrap">${ medicine.side_effects }</p>
                                  </div>
                              </div>
                              <div class="row">
                                  <div class="col">
                                      <b class="text-center">Composition</b>
                                      <p class="text-wrap">${ medicine.composition }</p>
                                  </div>
                                  <div class="col">
                                      <b class="text-center">Dosage & Instructions</b>
                                      <p class="text-wrap">${ medicine.dosage_instructions }</p>
                                  </div>
                              </div>
                          </div>
                        </div>
                      </div>
                    </div>
                        `
                    })
                } else {
                    cards.innerHTML = `
                                        <b style="color: #FFFFFF">${data}</b>
                                        `
                }
            },
            error: (error) => {
                console.log(error)
            }
        })
    }
    searchInput.addEventListener('keyup', e=>{
        console.log(searchInput.value)
        console.log(e.target.value)
        sendSearchData(e.target.value)

    })

    </script>
{% endblock content %}